Summary:        mac80211 stack for linux
Name:           mac80211
Version:        v2.6.24_636_gbe33863_080131
Release:        1
URL:            http://www.linuxwireless.com
License:        GPL
Group:          Applications/Multimedia
Source0:        mac80211-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc

%{!?kernel: %{expand: %%define kernel %(uname -r)}}

%description
mac80211 stack for Linux.

%package devel
Summary:	development files for mac80211
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description devel
development files for mac80211

%package rt2x00
Summary:	rt2x00 driver
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description rt2x00
rt2x00 driver

%package rtl8187
Summary:	rtl8187 driver
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description rtl8187
rtl8187 driver for Linux.

#---------------------------------------------------------------------
%prep
%setup -q
# debugfs doesn't work atm.. disable it:
#sed -i -e 's/DEBUGFS=y/DEBUGFS=n/' rt2x00/config

#---------------------------------------------------------------------
%build
%define _srcdir %{_topdir}/BUILD/%{name}-%{version}
# copy compat.c and compat.h from compat-wireless over wireless ones
cp -f %{_srcdir}/compat-wireless-2.6/compat/compat.h \
  %{_srcdir}/compat-wireless-2.6/include/net/compat.h
cp -f %{_srcdir}/compat-wireless-2.6/compat/compat.c \
  %{_srcdir}/compat-wireless-2.6/net/mac80211/compat.c
# apply compat-wireless patches
(
  cd %{_srcdir}/compat-wireless-2.6
  patch -p 1 < %{_srcdir}/compat-wireless-2.6/compat/compat.diff
)

# apply patches
patch -p 0 < %{_srcdir}/patches/compat.h.patch
patch -p 0 < %{_srcdir}/patches/only_rt2x00andrtl8187.patch
patch -p 0 < %{_srcdir}/patches/enable_rt2x00_master.patch
patch -p 0 < %{_srcdir}/patches/mac80211-inj-rts-cts-fix.patch

#patch -p 0 < %{_srcdir}/patches/fixgpoops.patch
#patch -p 0 < %{_srcdir}/patches/compat-wireless-2.6-Makefile.patch
#patch -p 0 < %{_srcdir}/patches/disable_rt2800.patch
#patch -p 0 < %{_srcdir}/patches/jberg-017.patch
#patch -p 0 < %{_srcdir}/patches/jberg-021.patch
#patch -p 0 < %{_srcdir}/patches/mac80211-cooked-monifor-fix.patch
# apply johannes bergs wirelessdev patches
cd %{_srcdir}/compat-wireless-2.6
for PATCH in `ls %{_srcdir}/patches/wirelessdev/*.patch`; do
  echo "applying ${PATCH}"
#  patch -F 3 -N -f -p1 < ${PATCH}
  patch -N -f -p1 < ${PATCH}
done
# Compile mac80211 wireless stack
cd %{_srcdir}/compat-wireless-2.6
make


#---------------------------------------------------------------------
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}/lib/modules/%{kernel}/updates/rt2x00
mkdir -p %{buildroot}/lib/modules/%{kernel}/updates/rtl8187
mkdir -p %{buildroot}/lib/modules/%{kernel}/updates/net/wireless
mkdir -p %{buildroot}/lib/modules/%{kernel}/updates/net/ieee80211
mkdir -p %{buildroot}/lib/modules/%{kernel}/updates/net/mac80211
mkdir -p %{buildroot}/lib/modules/%{kernel}/updates/drivers/misc
mkdir -p %{buildroot}/usr/include/%{name}-%{kernel}/linux
mkdir -p %{buildroot}/usr/include/%{name}-%{kernel}/linux/ssb
mkdir -p %{buildroot}/usr/include/%{name}-%{kernel}/net

install -m 744 compat-wireless-2.6/drivers/net/wireless/rt2x00/rt*.ko %{buildroot}/lib/modules/%{kernel}/updates/rt2x00
install -m 744 compat-wireless-2.6/drivers/net/wireless/rtl8187.ko \
  %{buildroot}/lib/modules/%{kernel}/updates/rtl8187
install -m 744 compat-wireless-2.6/net/wireless/*.ko \
  %{buildroot}/lib/modules/%{kernel}/updates/net/wireless
install -m 744 compat-wireless-2.6/net/ieee80211/*.ko \
  %{buildroot}/lib/modules/%{kernel}/updates/net/ieee80211
install -m 744 compat-wireless-2.6/net/mac80211/*.ko \
  %{buildroot}/lib/modules/%{kernel}/updates/net/mac80211
install -m 744 compat-wireless-2.6/drivers/misc/*.ko \
  %{buildroot}/lib/modules/%{kernel}/updates/drivers/misc
install -m 644 compat-wireless-2.6/include/linux/*.h \
  %{buildroot}/usr/include/%{name}-%{kernel}/linux
install -m 644 compat-wireless-2.6/include/linux/ssb/*.h \
  %{buildroot}/usr/include/%{name}-%{kernel}/linux/ssb
install -m 644 compat-wireless-2.6/include/net/*.h \
  %{buildroot}/usr/include/%{name}-%{kernel}/net

#---------------------------------------------------------------------
%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------
%post
/sbin/depmod -a

#---------------------------------------------------------------------
%preun
/sbin/depmod -a

#---------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc compat-wireless-2.6/COPYRIGHT compat-wireless-2.6/README
/lib/modules/%%{kernel}/updates/net/wireless/*
/lib/modules/%%{kernel}/updates/net/ieee80211/*
/lib/modules/%%{kernel}/updates/net/mac80211/*
/lib/modules/%%{kernel}/updates/drivers/misc/*

%files rt2x00
%defattr(-,root,root,-)
/lib/modules/%%{kernel}/updates/rt2x00/*

%files rtl8187
%defattr(-,root,root,-)
/lib/modules/%%{kernel}/updates/rtl8187/*

%files devel
%defattr(-,root,root,-)
/usr/include/%{name}-%{kernel}/linux/*.h
/usr/include/%{name}-%{kernel}/linux/ssb/*.h
/usr/include/%{name}-%{kernel}/net/*.h

#-------------------------------------------------------------------------

%changelog
* Mon Feb 24 2003 Your Name <your.email> - version-release
- Initial RPM release.



